# isstruct

checks if a variable is a structure array

## Calling Sequence

    bool = isstruct(x)

## Arguments

x

  a Scilab variable.

bool

  a boolean.

## Description

`isstruct(x)` returns `%t` if `x` is a struct array and `%f` otherwise.

## Examples

    isstruct(1)

    isstruct(cell())

    isstruct(struct("name","Scilab", "version", getversion()))

    info.name="Scilab";
    info.function="isstruct";
    info.module="help";
    isstruct(info)

## See Also

- struct
- iscell